Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226246

Summary: Merge Review: perl-Compress-Zlib
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jorton, jose.p.oliveira.oss, redhat-bugzilla, robin.norwood
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-11-12 10:33:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 228537    
Bug Blocks:    

Description Nobody's working on this, feel free to take it 2007-01-31 20:34:19 UTC
Fedora Merge Review: perl-Compress-Zlib

http://cvs.fedora.redhat.com/viewcvs/devel/perl-Compress-Zlib/
Initial Owner: jorton@redhat.com

Comment 1 Joe Orton 2007-01-31 22:13:07 UTC
The big database in the sky is still confused about this one.

Initial owner: rnorwood@redhat.com

Comment 2 Robin Norwood 2007-02-04 20:56:43 UTC
Joe - You're welcome to have it, if you want it. :-)

Comment 3 Jose Pedro Oliveira 2007-02-18 22:36:43 UTC
Update to Compress::Zlib 2.00x
------------------------------

According to the requirements list of Compress::Zlib 2 the following modules
will have to be packaged:

 * http://search.cpan.org/dist/IO-Compress-Base/  (review ticket #228537)
 * http://search.cpan.org/dist/IO-Compress-Zlib/
 * http://search.cpan.org/dist/Compress-Raw-Zlib/

jpo

Comment 4 Parag AN(पराग) 2007-10-22 10:50:22 UTC
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl 


Comment 5 Robin Norwood 2007-10-23 20:08:37 UTC
Removed BR, and built 2.005-3

Comment 6 Parag AN(पराग) 2007-10-24 04:19:25 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
2eb448ae8ec536f4b6744882f02819d3  Compress-Zlib-2.005.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs 
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/000prereq.....ok
t/01version.....ok
t/03zlib-v1.....ok
t/05examples....ok
t/06gzsetp......ok
t/08encoding....ok
t/14gzopen......ok
t/99pod.........ok
All tests successful.
Files=8, Tests=726,  2 wallclock secs ( 2.15 cusr +  0.31 csys =  2.46 CPU)
+ Package  perl-Compress-Zlib-2.005-3.fc8->
  Provides: perl(Compress::Zlib) = 2.005 perl(Zlib::OldDeflate)
perl(Zlib::OldInflate)
  Requires: perl >= 0:5.004 perl(AutoLoader) perl(Carp)
perl(Compress::Raw::Zlib) >= 2.005 perl(Exporter)
perl(IO::Compress::Base::Common) >= 2.005 perl(IO::Compress::Gzip) >= 2.005
perl(IO::Compress::Gzip::Constants) >= 2.005 perl(IO::Handle)
perl(IO::Uncompress::Gunzip) >= 2.005 perl(Scalar::Util) perl(bytes)
perl(constant) perl(strict) perl(warnings)

APPROVED.


As reviewed package is in CVS, you can CLOSE this review.


Comment 7 Parag AN(पराग) 2007-11-11 07:04:20 UTC
Can we CLOSE this review if package is already built and in rawhide?